using System;

namespace _3
{
    class Program
    {
        static void Main(string[] args)
        {
            string u;
            u = Console.ReadLine();
            
            char[] t = u.ToCharArray();
            u= Console.ReadLine();
            char[] s = u.ToCharArray();
            int[] b = new int[s.Length];
            int k = 0;
            int r = 0;
            for (int i = 0; i < s.Length+1; i++)
            {
                for (int j = r ; j < t.Length; j++)
                {
                    
                    if (s[i] == t[j])
                    {
                        k++; r++;

                    }
                    else {  b[i]=k; k = 0;  break; }
                    if (j == t.Length - 1) { b[i] = k;  }
                }
            }
            int min = int.MaxValue;
            int z = 0;
            for (int i = 0; i <s.Length; i++)
            {
                if (min > b[i])
                {
                    min = b[i];
                    
                    z = i;
                }
            }
            Console.WriteLine(min);
            int g=0;
            for (int i = 0; i < z; i++)
            {
                g = g + b[i];
                
            }
            
            for (int i = 0; i < g; i++)
            {
                Console.Write(t[i]);
            }
            for (int i = 1; i <=min ; i++)
            {
                g++;
                Console.Write("*");
            }
            for (int i = g; i < t.Length; i++)
            {

                Console.Write(t[i]);
            }
            
        }
    }
}